# $Revision: 1.28 $, $Date: 2007-11-26 18:50:16 $
Summary:	Open Crypto Development Kit
Summary(pl.UTF-8):	Open Crypto Development Kit
Name:		opencdk
Version:	0.6.6
Release:	1
License:	GPL v2+
Group:		Libraries
Source0:	ftp://ftp.gnutls.org/pub/gnutls/opencdk/%{name}-%{version}.tar.bz2
# Source0-md5:	813d62d7afe7b2c2d8f3df0a6c9d9331
URL:		http://www.gnu.org/software/gnutls/
BuildRequires:	autoconf >= 2.61
BuildRequires:	automake >= 1:1.10
BuildRequires:	libtool
BuildRequires:	libgcrypt-devel >= 1.2.2
BuildRequires:	zlib-devel
Requires:	libgcrypt >= 1.2.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This library provides basic parts of the OpenPGP message format.

%description -l pl.UTF-8
Biblioteka dostarcza podstawową obsługę formatu OpenPGP.

%package devel
Summary:	Header files etc to develop opencdk applications
Summary(pl.UTF-8):	Pliki nagłówkowe i inne do opencdk
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libgcrypt-devel >= 1.2.2
Requires:	zlib-devel

%description devel
Header files etc to develop opencdk applications.

%description devel -l pl.UTF-8
Pliki nagłówkowe i inne do opencdk.

%package static
Summary:	Static opencdk library
Summary(pl.UTF-8):	Biblioteka statyczna opencdk
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static opencdk library.

%description static -l pl.UTF-8
Biblioteka statyczna opencdk.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_aclocaldir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install src/opencdk.m4 $RPM_BUILD_ROOT%{_aclocaldir}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README THANKS TODO
%attr(755,root,root) %{_libdir}/libopencdk.so.*.*.*

%files devel
%defattr(644,root,root,755)
%doc doc/*.html
%attr(755,root,root) %{_bindir}/opencdk-config
%attr(755,root,root) %{_libdir}/libopencdk.so
%{_libdir}/libopencdk.la
%{_includedir}/opencdk.h
%{_aclocaldir}/opencdk.m4
%{_pkgconfigdir}/opencdk.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libopencdk.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: opencdk.spec,v $
Revision 1.28  2007-11-26 18:50:16  qboosh
- updated to 0.6.6

Revision 1.27  2007-10-31 23:49:55  qboosh
- updated to 0.6.5

Revision 1.26  2007/09/10 06:40:25  qboosh
- updated to 0.6.4 (new soname)

Revision 1.25  2007/02/13 07:16:50  glen
- tabs in preamble

Revision 1.24  2007/02/12 00:49:17  baggins
- converted to UTF-8

Revision 1.23  2007/02/01 10:58:30  qboosh
- updated to 0.5.13

Revision 1.22  2006/11/26 17:10:56  megabajt
- release 2 (rebuild with P: *.la)

Revision 1.21  2006/10/26 12:31:20  qboosh
- updated to 0.5.11

Revision 1.20  2006/10/13 08:08:22  qboosh
- updated to 0.5.10

Revision 1.19  2006/08/08 10:56:57  qboosh
- updated to 0.5.9

Revision 1.18  2005/09/02 20:20:51  qboosh
- updated to 0.5.8 (versioned symbols restored)

Revision 1.17  2005/06/23 20:10:37  qboosh
- updated to 0.5.7 (note: different symbol versioning)
- removed obsolete am18 patch

Revision 1.16  2004/06/21 19:40:34  qboosh
- updated to 0.5.5

Revision 1.15  2004/02/28 14:03:23  qboosh
- updated to 0.5.4

Revision 1.14  2004/02/22 14:39:28  grzegol
- rel. 3 to rebuild with libgcrypt-1.1.92

Revision 1.13  2003/12/18 20:53:27  qboosh
- added am18 patch (opencdk.m4 quotation fix); release 2

Revision 1.12  2003/11/05 13:26:54  trojan
- updated to 0.5.3

Revision 1.11  2003/11/02 22:08:25  qboosh
- updated to 0.5.2, removed obsolete libgcrypt patch (at last!)

Revision 1.10  2003/10/08 08:19:25  wiget
- rebuild with new libgcrypt

Revision 1.9  2003/08/18 08:08:23  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.8  2003/08/03 19:12:28  qboosh
- up to 0.5.1, updated libgcrypt patch (little shorter now)

Revision 1.7  2003/08/03 10:26:19  qboosh
- added libgcrypt patch with API update (for 1.1.42)
- release 2

Revision 1.6  2003/05/28 13:00:05  malekith
- massive attack: source-md5

Revision 1.5  2003/05/25 05:51:23  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.4  2003/05/15 23:09:30  qboosh
- updated to 0.4.5

Revision 1.3  2003/01/27 22:46:30  filon
- updated to 0.4.3
- updated requires
- added installing opencdk.m4 file
- ac/am/lt

Revision 1.2  2002/11/25 14:17:47  ankry
- massive attack: no need for 755 for *.la

Revision 1.1  2002/10/09 08:07:35  misiek
- initial pld release
